.TH XScreenSaver 1 "" "X Version 11"
.SH NAME
glslideshow - slideshow of images using smooth zooming and fades
.SH SYNOPSIS
B glslideshow
[\-display \fIhost:display.screen\fP]
[\-visual \fIvisual\fP]
[\-window]
[\-root]
[\-delay \fInumber\fP]
[\-no-fade]
[\-zoom \fInumber\fP]
[\-fps]
.SH DESCRIPTION
Loads a random sequence of images and smoothly scans and zooms around
in each, fading from pan to pan.  

This program requires a good video card capable of supporting large
textures.

To specify the directory that images are loaded from, run
.BR xscreensaver-demo (1)
and click on the "Advanced" tab.
.SH OPTIONS
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-duration \fIseconds\fP
How long to display each image before loading a new one.
Default 30 seconds.
.TP 8
.B \-delay \fInumber\fP
Per-frame delay, in microseconds.  Default: 20000 (0.02 seconds.).
.TP 8
.B \-fade | \-no-fade
Whether to fade between pans.
.TP 8
.B \-zoom \fInumber\fP
Amount to zoom and pan as a percentage. Default: 75, meaning that
75% or more of each image will always be visible.
.TP 8
.B \-fps | \-no-fps
Whether to show a frames-per-second display at the bottom of the screen.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver-demo (1)
.BR xscreensaver-getimage (1)
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2002 by Mike Oliphant. Framework based on flipscreen3d,
Copyright \(co 2001 Ben Buxton. Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Mike Oliphant and Jamie Zawinski.
